Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class CmDatabaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.StubException
                          com.compoze.collab.beacm.CmDatabaseException

All Implemented Interfaces
  Serializable

    public class CmDatabaseException

extends StubException

The `CmDatabaseException` class is used to encapsulate errors communicating with the backend database directly, and not through CM. CM may have updated/deleted data accurately, but because direct database modification failed, CM changes were revereted. This error may not be encountered again if the action was retried. Regardless, the user should be informed that their changes did not make it in, but the system is still running.

See Also
  Serialized Form

Constructor Summary
`CmDatabaseException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)`
`CmDatabaseException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)`
`CmDatabaseException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)`
`CmDatabaseException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)`

Method Summary

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmDatabaseException

    public CmDatabaseException(com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey key,
                               Object param)

### CmDatabaseException

    public CmDatabaseException(com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey key)

### CmDatabaseException

    public CmDatabaseException(Throwable t,
                               com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey key,
                               Object param)

### CmDatabaseException

    public CmDatabaseException(Throwable t,
                               com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved